# com.google.android.exoplayer2.mediacodec

## Interfaces

- MediaCodecAdapter
- MediaCodecAdapter.Factory
- MediaCodecAdapter.OnFrameRenderedListener
- MediaCodecSelector

## Classes

- MediaCodecInfo
- MediaCodecRenderer
- MediaCodecUtil
- MediaFormatUtil
- SynchronousMediaCodecAdapter
- SynchronousMediaCodecAdapter.Factory

## Exceptions

- MediaCodecDecoderException
- MediaCodecRenderer.DecoderInitializationException
- MediaCodecUtil.DecoderQueryException